Closest End Point

How do I get the closest point (start or end) of a curve when it is selected by the following code. When the user selects the curve if the starting point of the curve is the closest to the cursor then I want to know that point. If the end point is the closest to the cursor at that point then I want to know that point instead.

lnl = rs.GetObject(“Select the left curve”, 4, False)

GetObjectEx

should have this information (the pick-point)
sorry the api for phyton rhinoscriptsyntax does not work for me at the moment - (already reported here)

see rhinoscript instead:
https://developer.rhino3d.com/api/rhinoscript/selection_methods/getobjectex.htm

1 Like